data "aws_iam_policy_document" "lambda-frontend-role" {
  statement {
    effect = "Allow"
    principals {
      type        = "Service"
      identifiers = ["lambda.amazonaws.com"]
    }
    actions = ["sts:AssumeRole"]
  }
}

module "frontend-lambda" {
  source  = "./modules/lambda"
  name    = "frontend"
  handler = "frontend"
  policy  = data.aws_iam_policy_document.lambda-frontend-role.json
}
